Bug 473640 - cobbler : Unowned directories
cobbler : Unowned directories
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: cobbler (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Michael DeHaan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-29 13:46 EST by Michael Schwendt
Modified: 2009-05-06 17:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-06 17:38:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2008-11-29 13:46:19 EST
One or more directories are not included within this
package and/or its sub-packages:

=> cobbler-1.2.9-1.fc11.noarch (rawhide-development-i386)
/var/lib/cobbler/triggers
/var/lib/cobbler/triggers/add
/usr/share/cobbler
/usr/lib/python2.5/site-packages/cobbler/server

[...]

Further information:

https://fedoraproject.org/wiki/Packaging/ReviewGuidelines

MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which
does create that directory.

https://fedoraproject.org/wiki/Packaging/Guidelines#FileAndDirectoryOwnership
https://fedoraproject.org/wiki/Packaging/UnownedDirectories
Comment 1 Michael Schwendt 2009-01-30 15:41:23 EST
=> cobbler-1.4.1-1.fc11.src.rpm
=> cobbler-1.4.1-1.fc11.noarch (rawhide-development-i386)
/usr/share/cobbler
/usr/lib/python2.6/site-packages/cobbler/server
/etc/cobbler/pxe
/etc/cobbler/power

[...]

The script to find unowned directories is not complete yet, but
still quite usable: http://mschwendt.fedorapeople.org/dircheck-remote.py
$ ./dircheck-remote.py -r rawhide -n cobbler
Comment 2 Michael DeHaan 2009-05-06 17:38:12 EDT
Fixed in 1.6.4 spec, possibly earlier.    Most of these had already been fixed previously, but /usr/share is just now taken care of.

Note You need to log in before you can comment on or make changes to this bug.